
{***************************************************************************************************************}
{                                                                                                               }
{                                               XML Data Binding                                                }
{                                                                                                               }
{         Generated on: 13/03/2017 12:15:29 p.m.                                                                }
{       Generated from: \\192.168.1.101\Exsim\CODIGOS\18 FACTURACION EN LINEA\2016\ServicioWeb\DirCliente.xml   }
{   Settings stored in: \\192.168.1.101\Exsim\CODIGOS\18 FACTURACION EN LINEA\2016\ServicioWeb\DirCliente.xdb   }
{                                                                                                               }
{***************************************************************************************************************}

unit DirCliente;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLDireccionType = interface;

{ IXMLDireccionType }

  IXMLDireccionType = interface(IXMLNode)
    ['{F5A6FEC9-722E-48C7-A4EF-4BDE008A7161}']
    { Property Accessors }
    function Get_DireccionId: Integer;
    function Get_NombreDireccion: WideString;
    function Get_Calle: WideString;
    function Get_NumExterior: WideString;
    function Get_NumInterior: WideString;
    function Get_Colonia: WideString;
    function Get_Poblacion: WideString;
    function Get_Ciudad: WideString;
    function Get_Estado: WideString;
    function Get_Pais: WideString;
    function Get_CodigoPostal: WideString;
    function Get_Telefono: WideString;
    function Get_Referencia: WideString;
    function Get_Email: WideString;
    procedure Set_DireccionId(Value: Integer);
    procedure Set_NombreDireccion(Value: WideString);
    procedure Set_Calle(Value: WideString);
    procedure Set_NumExterior(Value: WideString);
    procedure Set_NumInterior(Value: WideString);
    procedure Set_Colonia(Value: WideString);
    procedure Set_Poblacion(Value: WideString);
    procedure Set_Ciudad(Value: WideString);
    procedure Set_Estado(Value: WideString);
    procedure Set_Pais(Value: WideString);
    procedure Set_CodigoPostal(Value: WideString);
    procedure Set_Telefono(Value: WideString);
    procedure Set_Referencia(Value: WideString);
    procedure Set_Email(Value: WideString);
    { Methods & Properties }
    property DireccionId: Integer read Get_DireccionId write Set_DireccionId;
    property NombreDireccion: WideString read Get_NombreDireccion write Set_NombreDireccion;
    property Calle: WideString read Get_Calle write Set_Calle;
    property NumExterior: WideString read Get_NumExterior write Set_NumExterior;
    property NumInterior: WideString read Get_NumInterior write Set_NumInterior;
    property Colonia: WideString read Get_Colonia write Set_Colonia;
    property Poblacion: WideString read Get_Poblacion write Set_Poblacion;
    property Ciudad: WideString read Get_Ciudad write Set_Ciudad;
    property Estado: WideString read Get_Estado write Set_Estado;
    property Pais: WideString read Get_Pais write Set_Pais;
    property CodigoPostal: WideString read Get_CodigoPostal write Set_CodigoPostal;
    property Telefono: WideString read Get_Telefono write Set_Telefono;
    property Referencia: WideString read Get_Referencia write Set_Referencia;
    property Email: WideString read Get_Email write Set_Email;
  end;

{ Forward Decls }

  TXMLDireccionType = class;

{ TXMLDireccionType }

  TXMLDireccionType = class(TXMLNode, IXMLDireccionType)
  protected
    { IXMLDireccionType }
    function Get_DireccionId: Integer;
    function Get_NombreDireccion: WideString;
    function Get_Calle: WideString;
    function Get_NumExterior: WideString;
    function Get_NumInterior: WideString;
    function Get_Colonia: WideString;
    function Get_Poblacion: WideString;
    function Get_Ciudad: WideString;
    function Get_Estado: WideString;
    function Get_Pais: WideString;
    function Get_CodigoPostal: WideString;
    function Get_Telefono: WideString;
    function Get_Referencia: WideString;
    function Get_Email: WideString;
    procedure Set_DireccionId(Value: Integer);
    procedure Set_NombreDireccion(Value: WideString);
    procedure Set_Calle(Value: WideString);
    procedure Set_NumExterior(Value: WideString);
    procedure Set_NumInterior(Value: WideString);
    procedure Set_Colonia(Value: WideString);
    procedure Set_Poblacion(Value: WideString);
    procedure Set_Ciudad(Value: WideString);
    procedure Set_Estado(Value: WideString);
    procedure Set_Pais(Value: WideString);
    procedure Set_CodigoPostal(Value: WideString);
    procedure Set_Telefono(Value: WideString);
    procedure Set_Referencia(Value: WideString);
    procedure Set_Email(Value: WideString);
  end;

{ Global Functions }

function GetDireccion(Doc: IXMLDocument): IXMLDireccionType;
function LoadDireccion(const FileName: WideString): IXMLDireccionType;
function NewDireccion: IXMLDireccionType;

const
  TargetNamespace = '';

implementation

{ Global Functions }

function GetDireccion(Doc: IXMLDocument): IXMLDireccionType;
begin
  Result := Doc.GetDocBinding('Direccion', TXMLDireccionType, TargetNamespace) as IXMLDireccionType;
end;

function LoadDireccion(const FileName: WideString): IXMLDireccionType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('Direccion', TXMLDireccionType, TargetNamespace) as IXMLDireccionType;
end;

function NewDireccion: IXMLDireccionType;
begin
  Result := NewXMLDocument.GetDocBinding('Direccion', TXMLDireccionType, TargetNamespace) as IXMLDireccionType;
end;

{ TXMLDireccionType }

function TXMLDireccionType.Get_DireccionId: Integer;
begin
  Result := ChildNodes['DireccionId'].NodeValue;
end;

procedure TXMLDireccionType.Set_DireccionId(Value: Integer);
begin
  ChildNodes['DireccionId'].NodeValue := Value;
end;

function TXMLDireccionType.Get_NombreDireccion: WideString;
begin
  Result := ChildNodes['NombreDireccion'].Text;
end;

procedure TXMLDireccionType.Set_NombreDireccion(Value: WideString);
begin
  ChildNodes['NombreDireccion'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Calle: WideString;
begin
  Result := ChildNodes['Calle'].Text;
end;

procedure TXMLDireccionType.Set_Calle(Value: WideString);
begin
  ChildNodes['Calle'].NodeValue := Value;
end;

function TXMLDireccionType.Get_NumExterior: WideString;
begin
  Result := ChildNodes['NumExterior'].Text;
end;

procedure TXMLDireccionType.Set_NumExterior(Value: WideString);
begin
  ChildNodes['NumExterior'].NodeValue := Value;
end;

function TXMLDireccionType.Get_NumInterior: WideString;
begin
  Result := ChildNodes['NumInterior'].Text;
end;

procedure TXMLDireccionType.Set_NumInterior(Value: WideString);
begin
  ChildNodes['NumInterior'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Colonia: WideString;
begin
  Result := ChildNodes['Colonia'].Text;
end;

procedure TXMLDireccionType.Set_Colonia(Value: WideString);
begin
  ChildNodes['Colonia'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Poblacion: WideString;
begin
  Result := ChildNodes['Poblacion'].Text;
end;

procedure TXMLDireccionType.Set_Poblacion(Value: WideString);
begin
  ChildNodes['Poblacion'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Ciudad: WideString;
begin
  Result := ChildNodes['Ciudad'].Text;
end;

procedure TXMLDireccionType.Set_Ciudad(Value: WideString);
begin
  ChildNodes['Ciudad'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Estado: WideString;
begin
  Result := ChildNodes['Estado'].Text;
end;

procedure TXMLDireccionType.Set_Estado(Value: WideString);
begin
  ChildNodes['Estado'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Pais: WideString;
begin
  Result := ChildNodes['Pais'].Text;
end;

procedure TXMLDireccionType.Set_Pais(Value: WideString);
begin
  ChildNodes['Pais'].NodeValue := Value;
end;

function TXMLDireccionType.Get_CodigoPostal: WideString;
begin
  Result := ChildNodes['CodigoPostal'].Text;
end;

procedure TXMLDireccionType.Set_CodigoPostal(Value: WideString);
begin
  ChildNodes['CodigoPostal'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Telefono: WideString;
begin
  Result := ChildNodes['Telefono'].Text;
end;

procedure TXMLDireccionType.Set_Telefono(Value: WideString);
begin
  ChildNodes['Telefono'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Referencia: WideString;
begin
  Result := ChildNodes['Referencia'].Text;
end;

procedure TXMLDireccionType.Set_Referencia(Value: WideString);
begin
  ChildNodes['Referencia'].NodeValue := Value;
end;

function TXMLDireccionType.Get_Email: WideString;
begin
  Result := ChildNodes['Email'].Text;
end;

procedure TXMLDireccionType.Set_Email(Value: WideString);
begin
  ChildNodes['Email'].NodeValue := Value;
end;

end.