
{************************************************************************************}
{                                                                                    }
{                                  XML Data Binding                                  }
{                                                                                    }
{         Generated on: 07/03/2018 10:31:22 a.m.                                     }
{       Generated from: C:\inetpub\wwwroot\facturacionenlinea2017\NuevoCliente.xml   }
{   Settings stored in: C:\inetpub\wwwroot\facturacionenlinea2017\NuevoCliente.xdb   }
{                                                                                    }
{************************************************************************************}

unit NuevoCliente;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLNuevoClienteType = interface;

{ IXMLNuevoClienteType }

  IXMLNuevoClienteType = interface(IXMLNode)
    ['{A8CAF9CB-FCB6-4325-8238-A55FFF1C9291}']
    { Property Accessors }
    function Get_Nombre: WideString;
    function Get_Contacto: WideString;
    function Get_RFC: WideString;
    function Get_Contrasena: WideString;
    function Get_Calle: WideString;
    function Get_NumExt: WideString;
    function Get_NumInt: WideString;
    function Get_Colonia: WideString;
    function Get_Poblacion: WideString;
    function Get_Referencia: WideString;
    function Get_Ciudad: WideString;
    function Get_IdEstado: Integer;
    function Get_CodigoPostal: WideString;
    function Get_Telefono: WideString;
    function Get_Email: WideString;
    function Get_RetImpto: WideString;
    function Get_RetIEPS: WideString;
    function Get_TipoReg: WideString;
    function Get_RegFis: WideString;

    procedure Set_Nombre(Value: WideString);
    procedure Set_Contacto(Value: WideString);
    procedure Set_RFC(Value: WideString);
    procedure Set_Contrasena(Value: WideString);
    procedure Set_Calle(Value: WideString);
    procedure Set_NumExt(Value: WideString);
    procedure Set_NumInt(Value: WideString);
    procedure Set_Colonia(Value: WideString);
    procedure Set_Poblacion(Value: WideString);
    procedure Set_Referencia(Value: WideString);
    procedure Set_Ciudad(Value: WideString);
    procedure Set_IdEstado(Value: Integer);
    procedure Set_CodigoPostal(Value: WideString);
    procedure Set_Telefono(Value: WideString);
    procedure Set_Email(Value: WideString);
    procedure Set_RetImpto(Value: WideString);
    procedure Set_RetIEPS(Value: WideString);
    procedure Set_TipoReg(Value: WideString);
    procedure Set_RegFis(Value: WideString);

    { Methods & Properties }
    property Nombre: WideString read Get_Nombre write Set_Nombre;
    property Contacto: WideString read Get_Contacto write Set_Contacto;
    property RFC: WideString read Get_RFC write Set_RFC;
    property Contrasena: WideString read Get_Contrasena write Set_Contrasena;
    property Calle: WideString read Get_Calle write Set_Calle;
    property NumExt: WideString read Get_NumExt write Set_NumExt;
    property NumInt: WideString read Get_NumInt write Set_NumInt;
    property Colonia: WideString read Get_Colonia write Set_Colonia;
    property Poblacion: WideString read Get_Poblacion write Set_Poblacion;
    property Referencia: WideString read Get_Referencia write Set_Referencia;
    property Ciudad: WideString read Get_Ciudad write Set_Ciudad;
    property IdEstado: Integer read Get_IdEstado write Set_IdEstado;
    property CodigoPostal: WideString read Get_CodigoPostal write Set_CodigoPostal;
    property Telefono: WideString read Get_Telefono write Set_Telefono;
    property Email: WideString read Get_Email write Set_Email;
    property RetImpto: WideString read Get_RetImpto write Set_RetImpto;
    property RetIEPS: WideString read Get_RetIEPS write Set_RetIEPS;
    property TipoReg: WideString read Get_TipoReg write Set_TipoReg;
    property RegFis: WideString read Get_RegFis write Set_RegFis;

  end;

{ Forward Decls }

  TXMLNuevoClienteType = class;

{ TXMLNuevoClienteType }

  TXMLNuevoClienteType = class(TXMLNode, IXMLNuevoClienteType)
  protected
    { IXMLNuevoClienteType }
    function Get_Nombre: WideString;
    function Get_Contacto: WideString;
    function Get_RFC: WideString;
    function Get_Contrasena: WideString;
    function Get_Calle: WideString;
    function Get_NumExt: WideString;
    function Get_NumInt: WideString;
    function Get_Colonia: WideString;
    function Get_Poblacion: WideString;
    function Get_Referencia: WideString;
    function Get_Ciudad: WideString;
    function Get_IdEstado: Integer;
    function Get_CodigoPostal: WideString;
    function Get_Telefono: WideString;
    function Get_Email: WideString;
    function Get_RetImpto: WideString;
    function Get_RetIEPS: WideString;
    function Get_TipoReg: WideString;
    function Get_RegFis: WideString;

    procedure Set_Nombre(Value: WideString);
    procedure Set_Contacto(Value: WideString);
    procedure Set_RFC(Value: WideString);
    procedure Set_Contrasena(Value: WideString);
    procedure Set_Calle(Value: WideString);
    procedure Set_NumExt(Value: WideString);
    procedure Set_NumInt(Value: WideString);
    procedure Set_Colonia(Value: WideString);
    procedure Set_Poblacion(Value: WideString);
    procedure Set_Referencia(Value: WideString);
    procedure Set_Ciudad(Value: WideString);
    procedure Set_IdEstado(Value: Integer);
    procedure Set_CodigoPostal(Value: WideString);
    procedure Set_Telefono(Value: WideString);
    procedure Set_Email(Value: WideString);
    procedure Set_RetImpto(Value: WideString);
    procedure Set_RetIEPS(Value: WideString);
    procedure Set_TipoReg(Value: WideString);
    procedure Set_RegFis(Value: WideString);
  end;

{ Global Functions }

function GetNuevoCliente(Doc: IXMLDocument): IXMLNuevoClienteType;
function LoadNuevoCliente(const FileName: WideString): IXMLNuevoClienteType;
function NewNuevoCliente: IXMLNuevoClienteType;

const
  TargetNamespace = '';

implementation

{ Global Functions }

function GetNuevoCliente(Doc: IXMLDocument): IXMLNuevoClienteType;
begin
  Result := Doc.GetDocBinding('NuevoCliente', TXMLNuevoClienteType, TargetNamespace) as IXMLNuevoClienteType;
end;

function LoadNuevoCliente(const FileName: WideString): IXMLNuevoClienteType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('NuevoCliente', TXMLNuevoClienteType, TargetNamespace) as IXMLNuevoClienteType;
end;

function NewNuevoCliente: IXMLNuevoClienteType;
begin
  Result := NewXMLDocument.GetDocBinding('NuevoCliente', TXMLNuevoClienteType, TargetNamespace) as IXMLNuevoClienteType;
end;

{ TXMLNuevoClienteType }

function TXMLNuevoClienteType.Get_Nombre: WideString;
begin
  Result := ChildNodes['Nombre'].Text;
end;

procedure TXMLNuevoClienteType.Set_Nombre(Value: WideString);
begin
  ChildNodes['Nombre'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Contacto: WideString;
begin
  Result := ChildNodes['Contacto'].Text;
end;

procedure TXMLNuevoClienteType.Set_Contacto(Value: WideString);
begin
  ChildNodes['Contacto'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_RFC: WideString;
begin
  Result := ChildNodes['RFC'].Text;
end;

procedure TXMLNuevoClienteType.Set_RFC(Value: WideString);
begin
  ChildNodes['RFC'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Contrasena: WideString;
begin
  Result := ChildNodes['Contrasena'].Text;
end;

procedure TXMLNuevoClienteType.Set_Contrasena(Value: WideString);
begin
  ChildNodes['Contrasena'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Calle: WideString;
begin
  Result := ChildNodes['Calle'].Text;
end;

procedure TXMLNuevoClienteType.Set_Calle(Value: WideString);
begin
  ChildNodes['Calle'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_NumExt: WideString;
begin
  Result := ChildNodes['NumExt'].Text;
end;

procedure TXMLNuevoClienteType.Set_NumExt(Value: WideString);
begin
  ChildNodes['NumExt'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_NumInt: WideString;
begin
  Result := ChildNodes['NumInt'].Text;
end;

procedure TXMLNuevoClienteType.Set_NumInt(Value: WideString);
begin
  ChildNodes['NumInt'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Colonia: WideString;
begin
  Result := ChildNodes['Colonia'].Text;
end;

procedure TXMLNuevoClienteType.Set_Colonia(Value: WideString);
begin
  ChildNodes['Colonia'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Poblacion: WideString;
begin
  Result := ChildNodes['Poblacion'].Text;
end;

procedure TXMLNuevoClienteType.Set_Poblacion(Value: WideString);
begin
  ChildNodes['Poblacion'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Referencia: WideString;
begin
  Result := ChildNodes['Referencia'].Text;
end;

procedure TXMLNuevoClienteType.Set_Referencia(Value: WideString);
begin
  ChildNodes['Referencia'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Ciudad: WideString;
begin
  Result := ChildNodes['Ciudad'].Text;
end;

procedure TXMLNuevoClienteType.Set_Ciudad(Value: WideString);
begin
  ChildNodes['Ciudad'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_IdEstado: Integer;
begin
  Result := ChildNodes['IdEstado'].NodeValue;
end;

procedure TXMLNuevoClienteType.Set_IdEstado(Value: Integer);
begin
  ChildNodes['IdEstado'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_CodigoPostal: WideString;
begin
  Result := ChildNodes['CodigoPostal'].Text;
end;

procedure TXMLNuevoClienteType.Set_CodigoPostal(Value: WideString);
begin
  ChildNodes['CodigoPostal'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Telefono: WideString;
begin
  Result := ChildNodes['Telefono'].Text;
end;

procedure TXMLNuevoClienteType.Set_Telefono(Value: WideString);
begin
  ChildNodes['Telefono'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_Email: WideString;
begin
  Result := ChildNodes['Email'].Text;
end;

procedure TXMLNuevoClienteType.Set_Email(Value: WideString);
begin
  ChildNodes['Email'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_RetImpto: WideString;
begin
  Result := ChildNodes['RetImpto'].Text;
end;

procedure TXMLNuevoClienteType.Set_RetImpto(Value: WideString);
begin
  ChildNodes['RetImpto'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_RetIEPS: WideString;
begin
  Result := ChildNodes['RetIEPS'].Text;
end;

procedure TXMLNuevoClienteType.Set_RetIEPS(Value: WideString);
begin
  ChildNodes['RetIEPS'].NodeValue := Value;
end;


function TXMLNuevoClienteType.Get_TipoReg: WideString;
begin
  Result := ChildNodes['TipoReg'].Text;
end;

procedure TXMLNuevoClienteType.Set_TipoReg(Value: WideString);
begin
  ChildNodes['TipoReg'].NodeValue := Value;
end;

function TXMLNuevoClienteType.Get_RegFis: WideString;
begin
  Result := ChildNodes['RegFis'].Text;
end;

procedure TXMLNuevoClienteType.Set_RegFis(Value: WideString);
begin
  ChildNodes['RegFis'].NodeValue := Value;
end;

end.