
{*******************************************************************************************************************************************}
{                                                                                                                                           }
{                                                             XML Data Binding                                                              }
{                                                                                                                                           }
{         Generated on: 10/05/2016 11:10:19 a.m.                                                                                            }
{       Generated from: \\192.168.1.101\Exsim\CODIGOS\99 DESARROLLOS ESPECIALES\MEXICO\PEDRO SOLIS\PedidosWebService\2015\existencias.xml   }
{   Settings stored in: \\192.168.1.101\Exsim\CODIGOS\99 DESARROLLOS ESPECIALES\MEXICO\PEDRO SOLIS\PedidosWebService\2015\existencias.xdb   }
{                                                                                                                                           }
{*******************************************************************************************************************************************}

unit existencias;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLExistenciasType = interface;
  IXMLExistenciaType = interface;

{ IXMLExistenciasType }

  IXMLExistenciasType = interface(IXMLNodeCollection)
    ['{2DAE6ACD-A9AC-4C17-BF66-2C1F6EE7DA02}']
    { Property Accessors }
    function Get_Existencia(Index: Integer): IXMLExistenciaType;
    { Methods & Properties }
    function Add: IXMLExistenciaType;
    function Insert(const Index: Integer): IXMLExistenciaType;
    property Existencia[Index: Integer]: IXMLExistenciaType read Get_Existencia; default;
  end;

{ IXMLExistenciaType }

  IXMLExistenciaType = interface(IXMLNode)
    ['{65CE1A23-9AD4-4ECE-9181-3E560302CE3C}']
    { Property Accessors }
    function Get_Row: Integer;
    function Get_ArticuloV: WideString;
    function Get_Unidades: Double;
    procedure Set_Row(Value: Integer);
    procedure Set_ArticuloV(Value: WideString);
    procedure Set_Unidades(Value: Double);
    { Methods & Properties }
    property Row: Integer read Get_Row write Set_Row;
    property ArticuloV: WideString read Get_ArticuloV write Set_ArticuloV;
    property Unidades: Double read Get_Unidades write Set_Unidades;
  end;

{ Forward Decls }

  TXMLExistenciasType = class;
  TXMLExistenciaType = class;

{ TXMLExistenciasType }

  TXMLExistenciasType = class(TXMLNodeCollection, IXMLExistenciasType)
  protected
    { IXMLExistenciasType }
    function Get_Existencia(Index: Integer): IXMLExistenciaType;
    function Add: IXMLExistenciaType;
    function Insert(const Index: Integer): IXMLExistenciaType;
  public
    procedure AfterConstruction; override;
  end;

{ TXMLExistenciaType }

  TXMLExistenciaType = class(TXMLNode, IXMLExistenciaType)
  protected
    { IXMLExistenciaType }
    function Get_Row: Integer;
    function Get_ArticuloV: WideString;
    function Get_Unidades: Double;
    procedure Set_Row(Value: Integer);
    procedure Set_ArticuloV(Value: WideString);
    procedure Set_Unidades(Value: Double);
  end;

{ Global Functions }

function GetExistencias(Doc: IXMLDocument): IXMLExistenciasType;
function LoadExistencias(const FileName: WideString): IXMLExistenciasType;
function NewExistencias: IXMLExistenciasType;

const
  TargetNamespace = '';

implementation

{ Global Functions }

function GetExistencias(Doc: IXMLDocument): IXMLExistenciasType;
begin
  Result := Doc.GetDocBinding('Existencias', TXMLExistenciasType, TargetNamespace) as IXMLExistenciasType;
end;

function LoadExistencias(const FileName: WideString): IXMLExistenciasType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('Existencias', TXMLExistenciasType, TargetNamespace) as IXMLExistenciasType;
end;

function NewExistencias: IXMLExistenciasType;
begin
  Result := NewXMLDocument.GetDocBinding('Existencias', TXMLExistenciasType, TargetNamespace) as IXMLExistenciasType;
end;

{ TXMLExistenciasType }

procedure TXMLExistenciasType.AfterConstruction;
begin
  RegisterChildNode('Existencia', TXMLExistenciaType);
  ItemTag := 'Existencia';
  ItemInterface := IXMLExistenciaType;
  inherited;
end;

function TXMLExistenciasType.Get_Existencia(Index: Integer): IXMLExistenciaType;
begin
  Result := List[Index] as IXMLExistenciaType;
end;

function TXMLExistenciasType.Add: IXMLExistenciaType;
begin
  Result := AddItem(-1) as IXMLExistenciaType;
end;

function TXMLExistenciasType.Insert(const Index: Integer): IXMLExistenciaType;
begin
  Result := AddItem(Index) as IXMLExistenciaType;
end;

{ TXMLExistenciaType }

function TXMLExistenciaType.Get_Row: Integer;
begin
  Result := ChildNodes['row'].NodeValue;
end;

procedure TXMLExistenciaType.Set_Row(Value: Integer);
begin
  ChildNodes['row'].NodeValue := Value;
end;

function TXMLExistenciaType.Get_ArticuloV: WideString;
begin
  Result := ChildNodes['ArticuloV'].Text;
end;

procedure TXMLExistenciaType.Set_ArticuloV(Value: WideString);
begin
  ChildNodes['ArticuloV'].NodeValue := Value;
end;

function TXMLExistenciaType.Get_Unidades: Double;
begin
  Result := ChildNodes['unidades'].NodeValue;
end;

procedure TXMLExistenciaType.Set_Unidades(Value: Double);
begin
  ChildNodes['unidades'].NodeValue := Value;
end;

end.