
{**************************************************************************************************************}
{                                                                                                              }
{                                               XML Data Binding                                               }
{                                                                                                              }
{         Generated on: 12/07/2019 05:33:24 p.m.                                                               }
{       Generated from: \\exsim2\EXSIM3\CODIGOS_4.0\01APIS\Respaldo\API_FACTURADOR_EN_LINEA\DirsClientes.xml   }
{   Settings stored in: \\exsim2\EXSIM3\CODIGOS_4.0\01APIS\Respaldo\API_FACTURADOR_EN_LINEA\DirsClientes.xdb   }
{                                                                                                              }
{**************************************************************************************************************}

unit DirsClientes;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLDirsClientesType = interface;
  IXMLDirClienteType = interface;

{ IXMLDirsClientesType }

  IXMLDirsClientesType = interface(IXMLNodeCollection)
    ['{C8F5F771-14B6-4EFF-BF75-4D032731FE00}']
    { Property Accessors }
    function Get_DirCliente(Index: Integer): IXMLDirClienteType;
    { Methods & Properties }
    function Add: IXMLDirClienteType;
    function Insert(const Index: Integer): IXMLDirClienteType;
    property DirCliente[Index: Integer]: IXMLDirClienteType read Get_DirCliente; default;
  end;

{ IXMLDirClienteType }

  IXMLDirClienteType = interface(IXMLNode)
    ['{7AE34D82-D7D8-4939-BFA6-4C68EA3396B9}']
    { Property Accessors }
    function Get_DireccionId: Integer;
    function Get_NombreDireccion: string;
    function Get_Calle: string;
    function Get_NumExterior: string;
    function Get_NumInterior: string;
    function Get_Colonia: string;
    function Get_Poblacion: string;
    function Get_Ciudad: string;
    function Get_Estado: string;
    function Get_Pais: string;
    function Get_CodigoPostal: string;
    function Get_Telefono: string;
    function Get_Referencia: string;
    function Get_Email: string;
    procedure Set_DireccionId(Value: Integer);
    procedure Set_NombreDireccion(Value: string);
    procedure Set_Calle(Value: string);
    procedure Set_NumExterior(Value: string);
    procedure Set_NumInterior(Value: string);
    procedure Set_Colonia(Value: string);
    procedure Set_Poblacion(Value: string);
    procedure Set_Ciudad(Value: string);
    procedure Set_Estado(Value: string);
    procedure Set_Pais(Value: string);
    procedure Set_CodigoPostal(Value: string);
    procedure Set_Telefono(Value: string);
    procedure Set_Referencia(Value: string);
    procedure Set_Email(Value: string);
    { Methods & Properties }
    property DireccionId: Integer read Get_DireccionId write Set_DireccionId;
    property NombreDireccion: string read Get_NombreDireccion write Set_NombreDireccion;
    property Calle: string read Get_Calle write Set_Calle;
    property NumExterior: string read Get_NumExterior write Set_NumExterior;
    property NumInterior: string read Get_NumInterior write Set_NumInterior;
    property Colonia: string read Get_Colonia write Set_Colonia;
    property Poblacion: string read Get_Poblacion write Set_Poblacion;
    property Ciudad: string read Get_Ciudad write Set_Ciudad;
    property Estado: string read Get_Estado write Set_Estado;
    property Pais: string read Get_Pais write Set_Pais;
    property CodigoPostal: string read Get_CodigoPostal write Set_CodigoPostal;
    property Telefono: string read Get_Telefono write Set_Telefono;
    property Referencia: string read Get_Referencia write Set_Referencia;
    property Email: string read Get_Email write Set_Email;
  end;

{ Forward Decls }

  TXMLDirsClientesType = class;
  TXMLDirClienteType = class;

{ TXMLDirsClientesType }

  TXMLDirsClientesType = class(TXMLNodeCollection, IXMLDirsClientesType)
  protected
    { IXMLDirsClientesType }
    function Get_DirCliente(Index: Integer): IXMLDirClienteType;
    function Add: IXMLDirClienteType;
    function Insert(const Index: Integer): IXMLDirClienteType;
  public
    procedure AfterConstruction; override;
  end;

{ TXMLDirClienteType }

  TXMLDirClienteType = class(TXMLNode, IXMLDirClienteType)
  protected
    { IXMLDirClienteType }
    function Get_DireccionId: Integer;
    function Get_NombreDireccion: string;
    function Get_Calle: string;
    function Get_NumExterior: string;
    function Get_NumInterior: string;
    function Get_Colonia: string;
    function Get_Poblacion: string;
    function Get_Ciudad: string;
    function Get_Estado: string;
    function Get_Pais: string;
    function Get_CodigoPostal: string;
    function Get_Telefono: string;
    function Get_Referencia: string;
    function Get_Email: string;
    procedure Set_DireccionId(Value: Integer);
    procedure Set_NombreDireccion(Value: string);
    procedure Set_Calle(Value: string);
    procedure Set_NumExterior(Value: string);
    procedure Set_NumInterior(Value: string);
    procedure Set_Colonia(Value: string);
    procedure Set_Poblacion(Value: string);
    procedure Set_Ciudad(Value: string);
    procedure Set_Estado(Value: string);
    procedure Set_Pais(Value: string);
    procedure Set_CodigoPostal(Value: string);
    procedure Set_Telefono(Value: string);
    procedure Set_Referencia(Value: string);
    procedure Set_Email(Value: string);
  end;

{ Global Functions }

function GetDirsClientes(Doc: IXMLDocument): IXMLDirsClientesType;
function LoadDirsClientes(const FileName: string): IXMLDirsClientesType;
function NewDirsClientes: IXMLDirsClientesType;

const
  TargetNamespace = '';

implementation

{ Global Functions }

function GetDirsClientes(Doc: IXMLDocument): IXMLDirsClientesType;
begin
  Result := Doc.GetDocBinding('DirsClientes', TXMLDirsClientesType, TargetNamespace) as IXMLDirsClientesType;
end;

function LoadDirsClientes(const FileName: string): IXMLDirsClientesType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('DirsClientes', TXMLDirsClientesType, TargetNamespace) as IXMLDirsClientesType;
end;

function NewDirsClientes: IXMLDirsClientesType;
begin
  Result := NewXMLDocument.GetDocBinding('DirsClientes', TXMLDirsClientesType, TargetNamespace) as IXMLDirsClientesType;
end;

{ TXMLDirsClientesType }

procedure TXMLDirsClientesType.AfterConstruction;
begin
  RegisterChildNode('DirCliente', TXMLDirClienteType);
  ItemTag := 'DirCliente';
  ItemInterface := IXMLDirClienteType;
  inherited;
end;

function TXMLDirsClientesType.Get_DirCliente(Index: Integer): IXMLDirClienteType;
begin
  Result := List[Index] as IXMLDirClienteType;
end;

function TXMLDirsClientesType.Add: IXMLDirClienteType;
begin
  Result := AddItem(-1) as IXMLDirClienteType;
end;

function TXMLDirsClientesType.Insert(const Index: Integer): IXMLDirClienteType;
begin
  Result := AddItem(Index) as IXMLDirClienteType;
end;

{ TXMLDirClienteType }

function TXMLDirClienteType.Get_DireccionId: Integer;
begin
  Result := ChildNodes['DireccionId'].NodeValue;
end;

procedure TXMLDirClienteType.Set_DireccionId(Value: Integer);
begin
  ChildNodes['DireccionId'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_NombreDireccion: string;
begin
  Result := ChildNodes['NombreDireccion'].Text;
end;

procedure TXMLDirClienteType.Set_NombreDireccion(Value: string);
begin
  ChildNodes['NombreDireccion'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Calle: string;
begin
  Result := ChildNodes['Calle'].Text;
end;

procedure TXMLDirClienteType.Set_Calle(Value: string);
begin
  ChildNodes['Calle'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_NumExterior: string;
begin
  Result := ChildNodes['NumExterior'].Text;
end;

procedure TXMLDirClienteType.Set_NumExterior(Value: string);
begin
  ChildNodes['NumExterior'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_NumInterior: string;
begin
  Result := ChildNodes['NumInterior'].Text;
end;

procedure TXMLDirClienteType.Set_NumInterior(Value: string);
begin
  ChildNodes['NumInterior'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Colonia: string;
begin
  Result := ChildNodes['Colonia'].Text;
end;

procedure TXMLDirClienteType.Set_Colonia(Value: string);
begin
  ChildNodes['Colonia'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Poblacion: string;
begin
  Result := ChildNodes['Poblacion'].Text;
end;

procedure TXMLDirClienteType.Set_Poblacion(Value: string);
begin
  ChildNodes['Poblacion'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Ciudad: string;
begin
  Result := ChildNodes['Ciudad'].Text;
end;

procedure TXMLDirClienteType.Set_Ciudad(Value: string);
begin
  ChildNodes['Ciudad'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Estado: string;
begin
  Result := ChildNodes['Estado'].Text;
end;

procedure TXMLDirClienteType.Set_Estado(Value: string);
begin
  ChildNodes['Estado'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Pais: string;
begin
  Result := ChildNodes['Pais'].Text;
end;

procedure TXMLDirClienteType.Set_Pais(Value: string);
begin
  ChildNodes['Pais'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_CodigoPostal: string;
begin
  Result := ChildNodes['CodigoPostal'].Text;
end;

procedure TXMLDirClienteType.Set_CodigoPostal(Value: string);
begin
  ChildNodes['CodigoPostal'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Telefono: string;
begin
  Result := ChildNodes['Telefono'].Text;
end;

procedure TXMLDirClienteType.Set_Telefono(Value: string);
begin
  ChildNodes['Telefono'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Referencia: string;
begin
  Result := ChildNodes['Referencia'].Text;
end;

procedure TXMLDirClienteType.Set_Referencia(Value: string);
begin
  ChildNodes['Referencia'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Email: string;
begin
  Result := ChildNodes['Email'].Text;
end;

procedure TXMLDirClienteType.Set_Email(Value: string);
begin
  ChildNodes['Email'].NodeValue := Value;
end;

end.