
{***************************************************************************}
{                                                                           }
{                             XML Data Binding                              }
{                                                                           }
{         Generated on: 14/05/2022 07:49:24 a. m.                           }
{       Generated from: C:\LIZBETH\2021\CODIGOS\2022_api\DirsClientes.xml   }
{   Settings stored in: C:\LIZBETH\2021\CODIGOS\2022_api\DirsClientes.xdb   }
{                                                                           }
{***************************************************************************}

unit DirsClientes;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLDirsClientesType = interface;
  IXMLDirClienteType = interface;

{ IXMLDirsClientesType }

  IXMLDirsClientesType = interface(IXMLNodeCollection)
    ['{B6EC15E8-FF15-4015-A958-6915F065D043}']
    { Property Accessors }
    function Get_DirCliente(Index: Integer): IXMLDirClienteType;
    { Methods & Properties }
    function Add: IXMLDirClienteType;
    function Insert(const Index: Integer): IXMLDirClienteType;
    property DirCliente[Index: Integer]: IXMLDirClienteType read Get_DirCliente; default;
  end;

{ IXMLDirClienteType }

  IXMLDirClienteType = interface(IXMLNode)
    ['{10EB1B3B-A6A0-4312-B514-5E0D50B840A0}']
    { Property Accessors }
    function Get_DireccionId: Integer;
    function Get_NombreDireccion: UnicodeString;
    function Get_Calle: UnicodeString;
    function Get_NumExterior: UnicodeString;
    function Get_NumInterior: UnicodeString;
    function Get_Colonia: UnicodeString;
    function Get_Poblacion: UnicodeString;
    function Get_Ciudad: UnicodeString;
    function Get_Estado: UnicodeString;
    function Get_Pais: UnicodeString;
    function Get_CodigoPostal: UnicodeString;
    function Get_Telefono: UnicodeString;
    function Get_Referencia: UnicodeString;
    function Get_Email: UnicodeString;
    function Get_TipoReg: UnicodeString;
    function Get_RegFis: UnicodeString;
    procedure Set_DireccionId(Value: Integer);
    procedure Set_NombreDireccion(Value: UnicodeString);
    procedure Set_Calle(Value: UnicodeString);
    procedure Set_NumExterior(Value: UnicodeString);
    procedure Set_NumInterior(Value: UnicodeString);
    procedure Set_Colonia(Value: UnicodeString);
    procedure Set_Poblacion(Value: UnicodeString);
    procedure Set_Ciudad(Value: UnicodeString);
    procedure Set_Estado(Value: UnicodeString);
    procedure Set_Pais(Value: UnicodeString);
    procedure Set_CodigoPostal(Value: UnicodeString);
    procedure Set_Telefono(Value: UnicodeString);
    procedure Set_Referencia(Value: UnicodeString);
    procedure Set_Email(Value: UnicodeString);
    procedure Set_TipoReg(Value: UnicodeString);
    procedure Set_RegFis(Value: UnicodeString);
    { Methods & Properties }
    property DireccionId: Integer read Get_DireccionId write Set_DireccionId;
    property NombreDireccion: UnicodeString read Get_NombreDireccion write Set_NombreDireccion;
    property Calle: UnicodeString read Get_Calle write Set_Calle;
    property NumExterior: UnicodeString read Get_NumExterior write Set_NumExterior;
    property NumInterior: UnicodeString read Get_NumInterior write Set_NumInterior;
    property Colonia: UnicodeString read Get_Colonia write Set_Colonia;
    property Poblacion: UnicodeString read Get_Poblacion write Set_Poblacion;
    property Ciudad: UnicodeString read Get_Ciudad write Set_Ciudad;
    property Estado: UnicodeString read Get_Estado write Set_Estado;
    property Pais: UnicodeString read Get_Pais write Set_Pais;
    property CodigoPostal: UnicodeString read Get_CodigoPostal write Set_CodigoPostal;
    property Telefono: UnicodeString read Get_Telefono write Set_Telefono;
    property Referencia: UnicodeString read Get_Referencia write Set_Referencia;
    property Email: UnicodeString read Get_Email write Set_Email;
    property TipoReg: UnicodeString read Get_TipoReg write Set_TipoReg;
    property RegFis: UnicodeString read Get_RegFis write Set_RegFis;
  end;

{ Forward Decls }

  TXMLDirsClientesType = class;
  TXMLDirClienteType = class;

{ TXMLDirsClientesType }

  TXMLDirsClientesType = class(TXMLNodeCollection, IXMLDirsClientesType)
  protected
    { IXMLDirsClientesType }
    function Get_DirCliente(Index: Integer): IXMLDirClienteType;
    function Add: IXMLDirClienteType;
    function Insert(const Index: Integer): IXMLDirClienteType;
  public
    procedure AfterConstruction; override;
  end;

{ TXMLDirClienteType }

  TXMLDirClienteType = class(TXMLNode, IXMLDirClienteType)
  protected
    { IXMLDirClienteType }
    function Get_DireccionId: Integer;
    function Get_NombreDireccion: UnicodeString;
    function Get_Calle: UnicodeString;
    function Get_NumExterior: UnicodeString;
    function Get_NumInterior: UnicodeString;
    function Get_Colonia: UnicodeString;
    function Get_Poblacion: UnicodeString;
    function Get_Ciudad: UnicodeString;
    function Get_Estado: UnicodeString;
    function Get_Pais: UnicodeString;
    function Get_CodigoPostal: UnicodeString;
    function Get_Telefono: UnicodeString;
    function Get_Referencia: UnicodeString;
    function Get_Email: UnicodeString;
    function Get_TipoReg: UnicodeString;
    function Get_RegFis: UnicodeString;
    procedure Set_DireccionId(Value: Integer);
    procedure Set_NombreDireccion(Value: UnicodeString);
    procedure Set_Calle(Value: UnicodeString);
    procedure Set_NumExterior(Value: UnicodeString);
    procedure Set_NumInterior(Value: UnicodeString);
    procedure Set_Colonia(Value: UnicodeString);
    procedure Set_Poblacion(Value: UnicodeString);
    procedure Set_Ciudad(Value: UnicodeString);
    procedure Set_Estado(Value: UnicodeString);
    procedure Set_Pais(Value: UnicodeString);
    procedure Set_CodigoPostal(Value: UnicodeString);
    procedure Set_Telefono(Value: UnicodeString);
    procedure Set_Referencia(Value: UnicodeString);
    procedure Set_Email(Value: UnicodeString);
    procedure Set_TipoReg(Value: UnicodeString);
    procedure Set_RegFis(Value: UnicodeString);
  end;

function GetDirsClientes(Doc: IXMLDocument): IXMLDirsClientesType;
function LoadDirsClientes(const FileName: string): IXMLDirsClientesType;
function NewDirsClientes: IXMLDirsClientesType;

const
  TargetNamespace = '';

implementation

{ Global Functions }

function GetDirsClientes(Doc: IXMLDocument): IXMLDirsClientesType;
begin
  Result := Doc.GetDocBinding('DirsClientes', TXMLDirsClientesType, TargetNamespace) as IXMLDirsClientesType;
end;

function LoadDirsClientes(const FileName: string): IXMLDirsClientesType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('DirsClientes', TXMLDirsClientesType, TargetNamespace) as IXMLDirsClientesType;
end;

function NewDirsClientes: IXMLDirsClientesType;
begin
  Result := NewXMLDocument.GetDocBinding('DirsClientes', TXMLDirsClientesType, TargetNamespace) as IXMLDirsClientesType;
end;

{ TXMLDirsClientesType }

procedure TXMLDirsClientesType.AfterConstruction;
begin
  RegisterChildNode('DirCliente', TXMLDirClienteType);
  ItemTag := 'DirCliente';
  ItemInterface := IXMLDirClienteType;
  inherited;
end;

function TXMLDirsClientesType.Get_DirCliente(Index: Integer): IXMLDirClienteType;
begin
  Result := List[Index] as IXMLDirClienteType;
end;

function TXMLDirsClientesType.Add: IXMLDirClienteType;
begin
  Result := AddItem(-1) as IXMLDirClienteType;
end;

function TXMLDirsClientesType.Insert(const Index: Integer): IXMLDirClienteType;
begin
  Result := AddItem(Index) as IXMLDirClienteType;
end;

{ TXMLDirClienteType }

function TXMLDirClienteType.Get_DireccionId: Integer;
begin
  Result := ChildNodes['DireccionId'].NodeValue;
end;

procedure TXMLDirClienteType.Set_DireccionId(Value: Integer);
begin
  ChildNodes['DireccionId'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_NombreDireccion: UnicodeString;
begin
  Result := ChildNodes['NombreDireccion'].Text;
end;

procedure TXMLDirClienteType.Set_NombreDireccion(Value: UnicodeString);
begin
  ChildNodes['NombreDireccion'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Calle: UnicodeString;
begin
  Result := ChildNodes['Calle'].Text;
end;

procedure TXMLDirClienteType.Set_Calle(Value: UnicodeString);
begin
  ChildNodes['Calle'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_NumExterior: UnicodeString;
begin
  Result := ChildNodes['NumExterior'].Text;
end;

procedure TXMLDirClienteType.Set_NumExterior(Value: UnicodeString);
begin
  ChildNodes['NumExterior'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_NumInterior: UnicodeString;
begin
  Result := ChildNodes['NumInterior'].Text;
end;

procedure TXMLDirClienteType.Set_NumInterior(Value: UnicodeString);
begin
  ChildNodes['NumInterior'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Colonia: UnicodeString;
begin
  Result := ChildNodes['Colonia'].Text;
end;

procedure TXMLDirClienteType.Set_Colonia(Value: UnicodeString);
begin
  ChildNodes['Colonia'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Poblacion: UnicodeString;
begin
  Result := ChildNodes['Poblacion'].Text;
end;

procedure TXMLDirClienteType.Set_Poblacion(Value: UnicodeString);
begin
  ChildNodes['Poblacion'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Ciudad: UnicodeString;
begin
  Result := ChildNodes['Ciudad'].Text;
end;

procedure TXMLDirClienteType.Set_Ciudad(Value: UnicodeString);
begin
  ChildNodes['Ciudad'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Estado: UnicodeString;
begin
  Result := ChildNodes['Estado'].Text;
end;

procedure TXMLDirClienteType.Set_Estado(Value: UnicodeString);
begin
  ChildNodes['Estado'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Pais: UnicodeString;
begin
  Result := ChildNodes['Pais'].Text;
end;

procedure TXMLDirClienteType.Set_Pais(Value: UnicodeString);
begin
  ChildNodes['Pais'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_CodigoPostal: UnicodeString;
begin
  Result := ChildNodes['CodigoPostal'].Text;
end;

procedure TXMLDirClienteType.Set_CodigoPostal(Value: UnicodeString);
begin
  ChildNodes['CodigoPostal'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Telefono: UnicodeString;
begin
  Result := ChildNodes['Telefono'].Text;
end;

procedure TXMLDirClienteType.Set_Telefono(Value: UnicodeString);
begin
  ChildNodes['Telefono'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Referencia: UnicodeString;
begin
  Result := ChildNodes['Referencia'].Text;
end;

procedure TXMLDirClienteType.Set_Referencia(Value: UnicodeString);
begin
  ChildNodes['Referencia'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_Email: UnicodeString;
begin
  Result := ChildNodes['Email'].Text;
end;

procedure TXMLDirClienteType.Set_Email(Value: UnicodeString);
begin
  ChildNodes['Email'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_TipoReg: UnicodeString;
begin
  Result := ChildNodes['TipoReg'].Text;
end;

procedure TXMLDirClienteType.Set_TipoReg(Value: UnicodeString);
begin
  ChildNodes['TipoReg'].NodeValue := Value;
end;

function TXMLDirClienteType.Get_RegFis: UnicodeString;
begin
  Result := ChildNodes['RegFis'].Text;
end;

procedure TXMLDirClienteType.Set_RegFis(Value: UnicodeString);
begin
  ChildNodes['RegFis'].NodeValue := Value;
end;

end.